#!/usr/bin/env python3

## test the JLL on random data

import sys
import math
import numpy as np
from blis.py import einsum, gemv, gemm
from scipy import sparse
from scipy.spatial.distance import pdist
from math import sqrt

myZero = 1e-10

#################### FUNCTIONS #####################

# generate a componentwise Normal(0,1) matrix
def normalmatrix(m, n):
    return np.random.normal([0],[[1]],(m,n))

# generate a componentwise Uniform(0,1) matrix
def uniformmatrix(m, n):
    return np.random.rand(m,n)


####################### MAIN #######################

## read command line
if len(sys.argv) < 4:
    print("syntax: " + sys.argv[0] + " m n distr")
    print("  where m=|dimensions|, n=|points|")
    print("  distr in {U,N}")
    print("    U is Uniform(0,1), N is Normal(0,1)")
    sys.exit(1)

m = int(sys.argv[1])
n = int(sys.argv[2])
distr = sys.argv[3]

RPdens = 1.0 / sqrt(m)

## generate random data matrix
if distr == "U":
    X = uniformmatrix(m,n)
elif distr == "N":
    X = normalmatrix(m,n)
else:
    sys.exit("error: distr must be either \"U\" or \"N\"")

## COMPLETE FROM HERE
